libzypp 17.38.15

LocaleSupport.h File Reference
`#include <iosfwd>`
`#include <zypp/sat/detail/PoolMember.h>`
`#include <zypp/sat/SolvIterMixin.h>`
`#include <zypp/Locale.h>`
`#include <zypp/Filter.h>`

Go to the source code of this file.

## Classes
class | zypp::sat::LocaleSupport
| Convenience methods to manage support for a specific Locale. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::sat
| Libsolv interface

## Functions
std::ostream & | zypp::sat::operator<< (std::ostream &str, const LocaleSupport &obj)
| relates: LocaleSupport Stream output
std::ostream & | zypp::sat::dumpOn (std::ostream &str, const LocaleSupport &obj)
| relates: LocaleSupport More verbose stream output including dependencies
bool | zypp::sat::operator== (const LocaleSupport &lhs, const LocaleSupport &rhs)
| relates: LocaleSupport
bool | zypp::sat::operator!= (const LocaleSupport &lhs, const LocaleSupport &rhs)
| relates: LocaleSupport
bool | zypp::sat::operator< (const LocaleSupport &lhs, const LocaleSupport &rhs)
| relates: LocaleSupport